﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ValidationDemo.aspx.cs" Inherits="WebApps.SimpleValidation" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <script src="jquery.js" type="text/javascript"></script>
    <script src="jquery.validate.js" type="text/javascript"></script>
    
    <style type="text/css">
    
    .errors 
    {
    	 border:solid 2px red;   	 
    }
    
    </style>
    
</head>
<body>
    
    <form id="customerForm" runat="server" method="get">
    <div>
    
    <h3>Simple Validation</h3>
    
    First Name: <input type="text" id="FirstName" class="required" name="FirstName" /> <br />
    Last Name: <input type="text" id="LastName" name="LastName" class="required" /> <br />
    
    Please select at least two countries: <br />
    
    <asp:ListBox ID="Countries" SelectionMode="Multiple" runat="server">
    <asp:ListItem Text="USA" Value="USA" />
    <asp:ListItem Text="France" Value="France" />
    <asp:ListItem Text="Pakistan" Value="Pakistan" />
    <asp:ListItem Text="Brazil" Value="Brazil" />
    <asp:ListItem Text="China" Value="China" />
    </asp:ListBox>
    
    <input type="submit" id="btnRegister" value="Register" />
    
    <div id="errors">
    <ul>
    </ul>
    </div>
    
    </div>
    </form>
</body>
</html>

<script language="javascript" type="text/javascript">

//$(document).ready(function() 
//{
//    $("#customerForm").validate(); 
//    
//    $("#FirstName").rules("add", { required:true, messages: { required:"First Name is required" }  });  
//    $("#LastName").rules("add", { required:true, messages: { required:"Last Name is required" }  });  
//    
//});


$(document).ready(function()
{

    // add the validate countries method 
    jQuery.validator.addMethod("validateCountries", function(value, element) 
    {       
        
        var noOfSelectedCountries = $("#Countries :selected").length; 
        if(noOfSelectedCountries < 2) return false; 
        
        return true;     
    });    
    
            
    $("#customerForm").validate(    
    {
        rules: 
        {
            FirstName: { required:true }, 
            LastName: { required:true }, 
            Countries: { validateCountries:true }              
        }, 
        
        messages: 
        {
            FirstName: { required: "First Name is required" }, 
            LastName: { required: "Last Name is required" }, 
            Countries: { validateCountries:"Please select at least 2 items from the Countries" }            
        }, 
        
        errorContainer:"#errors", 
        errorLabelContainer:"#errors ul",
        wrapper:"li"         
        
    });     
    
    
    });


</script>
